<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les propriétés --
   private $_nom   ;
   private $_prenom;
   // -- Constructeur --
   function __construct($n,$p) {
    $this->_nom=$n;$this->_prenom=$p;
   }
   public function __clone() {
    $this->_nom    = strtoupper($this->_nom)   ;
    $this->_prenom = strtoupper($this->_prenom);
   }
   function ParcoursInterne() {
    foreach($this as $propriete=>$valeur) {echo "$valeur ";}
    echo PHP_EOL;
   }
 }
 // === Programme ===
 $UnePers1 = new Personnel("dupont","jean");
 $UnePers2 = clone $UnePers1    ;
 echo '-- Parcours $UnePers1 : ';
 $UnePers1->ParcoursInterne()   ;
 echo '-- Parcours $UnePers2 : ';
 $UnePers2->ParcoursInterne()   ;
?>
